/*:VRX         Main
*/
/*  Main
*/
Main:
/*  Process the arguments.
    Get the parent window.
*/
    parse source . calledAs .
    parent = ""
    argCount = arg()
    argOff = 0
    if( calledAs \= "COMMAND" )then do
        if argCount >= 1 then do
            parent = arg(1)
            argCount = argCount - 1
            argOff = 1
        end
    end; else do
        call VROptions 'ImplicitNames'
    end
    InitArgs.0 = argCount
    if( argCount > 0 )then do i = 1 to argCount
        InitArgs.i = arg( i + argOff )
    end
    drop calledAs argCount argOff

/*  Load the windows
*/
    call VRInit
    parse source . . spec
    _VREPrimaryWindowPath = ,
        VRParseFileName( spec, "dpn" ) || ".VRW"
    _VREPrimaryWindow = ,
        VRLoad( parent, _VREPrimaryWindowPath )
    drop parent spec
    if( _VREPrimaryWindow == "" )then do
        call VRMessage "", "Cannot load window:" VRError(), ,
            "Error!"
        _VREReturnValue = 32000
        signal _VRELeaveMain
    end

/*  Process events
*/
    call Init
    signal on halt
    do while( \ VRGet( _VREPrimaryWindow, "Shutdown" ) )
        _VREEvent = VREvent()
        interpret _VREEvent
    end
_VREHalt:
    _VREReturnValue = Fini()
    call VRDestroy _VREPrimaryWindow
_VRELeaveMain:
    call VRFini
exit _VREReturnValue

VRLoadSecondary:
    __vrlsWait = abbrev( 'WAIT', translate(arg(2)), 1 )
    if __vrlsWait then do
        call VRFlush
    end
    __vrlsHWnd = VRLoad( VRWindow(), VRWindowPath(), arg(1) )
    if __vrlsHWnd = '' then signal __vrlsDone
    if __vrlsWait \= 1 then signal __vrlsDone
    call VRSet __vrlsHWnd, 'WindowMode', 'Modal' 
    __vrlsTmp = __vrlsWindows.0
    if( DataType(__vrlsTmp) \= 'NUM' ) then do
        __vrlsTmp = 1
    end
    else do
        __vrlsTmp = __vrlsTmp + 1
    end
    __vrlsWindows.__vrlsTmp = VRWindow( __vrlsHWnd )
    __vrlsWindows.0 = __vrlsTmp
    do while( VRIsValidObject( VRWindow() ) = 1 )
        __vrlsEvent = VREvent()
        interpret __vrlsEvent
    end
    __vrlsTmp = __vrlsWindows.0
    __vrlsWindows.0 = __vrlsTmp - 1
    call VRWindow __vrlsWindows.__vrlsTmp 
    __vrlsHWnd = ''
__vrlsDone:
return __vrlsHWnd

/*:VRX         Fini
*/
Fini:
    window = VRWindow()
    call VRSet window, "Visible", 0
    drop window
return 0

/*:VRX         Halt
*/
Halt:
    signal _VREHalt
return

/*:VRX         Init
*/
Init:
 /* THIS PICKS UP THE DEFAULT VALUES AT STARTUP   */
Myfile = "C:\vsecom\vsecom.ini"
   	LINEIN(Myfile,1,0)
	TOSS=LINEIN(Myfile)
	LIBO=LINEIN(Myfile)
	JCLS=LINEIN(Myfile)
	SOUS=LINEIN(Myfile)
	JOBS=LINEIN(Myfile)
	PWRO=LINEIN(Myfile)
	LIB=LINEIN(Myfile)
	SUB=LINEIN(Myfile)
	PRTO=LINEIN(Myfile)
        x = stream(Myfile,'c','close')

    call RxFuncAdd 'SysSleep' , 'RexxUtil' , 'SysSleep' 
    window = VRWindow()
   /* call VRMethod window, "CenterWindow" */
    call VRSet window, "LEFT", 100
    call VRSet window, "TOP", 100
    call VRSet window, "Visible", 1
    call VRMethod window, "Activate"
    drop window
    return

/*:VRX         PB_1_Click
*/
PB_1_Click: 
values = Window2( VRWindow(),LIBO,LIB,SUB,PRTO)
return

/*:VRX         PB_2_Click
*/
PB_2_Click: 
values = Window3( VRWindow(),JCLS,JOBS,PRTO)
return

/*:VRX         PB_4_Click
*/
PB_4_Click: 
values = Window5( VRWindow(),PWRO,PRTO)
return

/*:VRX         PB_6_Click
*/
PB_6_Click: 
values = Window7( VRWindow(),LIBO,JCLS,JOBS,SOUS,PWRO,LIB,SUB,PRTO)
parse var values LIBO "," JCLS "," JOBS "," SOUS "," PWRO "," LIB "," SUB "," PRTO
return

/*:VRX         Quit
*/
Quit:
    window = VRWindow()
    call VRSet window, "Shutdown", 1
    drop window
return

/*:VRX         Window1_Close
*/
Window1_Close:
    call Quit
return

