/*:VRX         Main
*/
/*  Main
*/
Main:
/*  Process the arguments.
    Get the parent window.
*/
    parse source . calledAs .
    parent = ""
    argCount = arg()
    argOff = 0
    if( calledAs \= "COMMAND" )then do
        if argCount >= 1 then do
            parent = arg(1)
            argCount = argCount - 1
            argOff = 1
        end
    end
    InitArgs.0 = argCount
    if( argCount > 0 )then do i = 1 to argCount
        InitArgs.i = arg( i + argOff )
    end
    drop calledAs argCount argOff

/*  Load the windows
*/
    call VRInit
    parse source . . spec
    _VREPrimaryWindowPath = ,
        VRParseFileName( spec, "dpn" ) || ".VRW"
    _VREPrimaryWindow = ,
        VRLoad( parent, _VREPrimaryWindowPath )
    drop parent spec
    if( _VREPrimaryWindow == "" )then do
        call VRMessage "", "Cannot load window:" VRError(), ,
            "Error!"
        _VREReturnValue = 32000
        signal _VRELeaveMain
    end

/*  Process events
*/
    call Init
    signal on halt
    do while( \ VRGet( _VREPrimaryWindow, "Shutdown" ) )
        _VREEvent = VREvent()
        interpret _VREEvent
    end
_VREHalt:
    _VREReturnValue = Fini()
    call VRDestroy _VREPrimaryWindow
_VRELeaveMain:
    call VRFini
exit _VREReturnValue

VRLoadSecondary: procedure
    name = arg( 1 )

    window = VRLoad( VRWindow(), VRWindowPath(), name )
    call VRMethod window, "CenterWindow"
    call VRSet window, "Visible", 1
    call VRMethod window, "Activate"
return window

/*:VRX         Fini
*/
Fini:
    window = VRWindow()
    call VRSet window, "Visible", 0
    drop window
return 0

/*:VRX         Halt
*/
Halt:
    signal _VREHalt
return

/*:VRX         Init
*/
Init:
    call RxFuncAdd 'SysSleep' , 'RexxUtil', 'SysSleep'
    TS = "A:"
    window = VRWindow()
    call VRMethod window, "CenterWindow"
    call VRSet window, "Visible", 1
    call VRMethod window, "Activate"
    drop window
return

/*:VRX         LB_2_Click
*/
LB_2_Click:
LIBNAME = VRGet( "LB_2", "SelectedString")
return

/*:VRX         PB_11_Click
*/
PB_11_Click:
    ok = VRSet( "EF_1", "ReadOnly", 1)
    ok = VRSet( "EF_2", "ReadOnly", 1)
    ok = VRSet( "EF_3", "ReadOnly", 1)
    ok = VRSet( "EF_4", "ReadOnly", 1)
    ok = VRSet( "EF_5", "ReadOnly", 1)
    
    RECCOM = "RECEIVE C:\vsecom\userprof "||TS||" (FILE=PROF"
    say reccom
    rc = Startvio(RECCOM)
    if rc = "QUIT" then return
    Myfile = "C:\vsecom\userprof"
    LINEIN(Myfile,1,0)
    Do until LINES(Myfile) = "0"
    thisline = LINEIN(Myfile)
    fparm = LEFT(thisline,6)
    call xout
    end
    fparm = LINEOUT(Myfile) /* close the file */
    ok = VRSet( "EF_1", "ReadOnly", 1)
    ok = VRSet( "EF_2", "ReadOnly", 1)
    ok = VRSet( "EF_3", "ReadOnly", 1)
    ok = VRSet( "EF_4", "ReadOnly", 1)

   /*  E.EXE " C:\userprof" */
return
xout:
Select
    when fparm = "TRMID " then do
    fparm = SUBWORD(thisline,2,4)
    ok = VRSet( "EF_3", "Value", fparm)
    return
    end 
    when fparm = "UID   " then do
    fparm = SUBWORD(thisline,2,8)
    LUSER = fparm
    ok = VRSet( "EF_1", "Value", fparm)
    return
    end
    when fparm = "LIBACC" then do
    fparm = SUBWORD(thisline,1,6)
    position = VRMethod( "LB_1", "AddString",fparm, )
    return 
    end
    when fparm = "POWACC" then do
    fparm = SUBWORD(thisline,1,6)
    position = VRMethod( "LB_1", "AddString",fparm, )
    return
    end  
    when fparm = "POWALL" then do
    fparm = SUBWORD(thisline,1,6)
    position = VRMethod( "LB_1", "AddString",fparm, )
    return
    end
    when fparm = "SUBMIT" then do
    fparm = SUBWORD(thisline,1,6)
    position = VRMethod( "LB_1", "AddString",fparm, )
    return
    end
    when fparm = "SYSID " then do
    fparm = SUBWORD(thisline,2,8)
    ok = VRSet( "EF_4", "Value", fparm)
    return
    end
    when fparm = "UTYP  " then do
    fparm = SUBWORD(thisline,2,1)
    ok = VRSet( "EF_2", "Value", fparm)
    return
    end
    when fparm = "SCLASS" then do
    fparm = SUBWORD(thisline,2,1)
    ok = VRSet( "EF_5", "Value", fparm)
    return
    end
    when fparm = "LIB   " then do
    call getlibs
    return
    end
    when fparm = "HTF   " then do
    fparm = SUBWORD(thisline,1,6)
    position = VRMethod( "LB_1", "AddString",fparm, )
    return
    end
otherwise nop
return
getlibs:
startl = 10
fparm = SUBSTR(thisline,startl,7)
position = VRMethod( "LB_2", "AddString",fparm, )
    do until fparm = "       "
    startl = startl + 7
    fparm = SUBSTR(thisline,startl,7)
    if fparm = "       " then return
    position = VRMethod( "LB_2", "AddString",fparm, )
    end
return
/*:VRX         Quit
*/
Quit:
    window = VRWindow()
    call VRSet window, "Shutdown", 1
    drop window
return

/*:VRX         SPIN_1_Change
*/
SPIN_1_Change:
    TS = VRGet( "SPIN_1", "Value")
return

/*:VRX         Startvio
*/
Startvio:procedure
parse arg command
erase "c:\vsecom\vsestat.fil"
"start /win/c c:\vsecom\runvse.cmd" command "<con >con"
/*"start /win/c c:\vsecom\runvse.cmd" command*/ 
SPINNUM = 0
RC = ""
DO FOREVER
    call SysSleep 2
    exists = VRFileExists("C:\vsecom\vsestat.fil")

    if exists = 1 then do
    LEAVE
    end
    else do
    SPINNUM = SPINNUM + 1
    end

    if SPINNUM = 5 then do
    SPINNUM = 0
    rc = Window7(VRWindow())
    end

    if rc = "QUIT" then do
    LEAVE
    end
end

return rc    
    


/*:VRX         Window6_Close
*/
Window6_Close:
    call Quit
return

