/*:VRX         Main
*/
/*  Main
*/
Main:
/*  Process the arguments.
    Get the parent window.
*/
    parse source . calledAs .
    parent = ""
    argCount = arg()
    argOff = 0
    if( calledAs \= "COMMAND" )then do
        if argCount >= 1 then do
            parent = arg(1)
            argCount = argCount - 1
            argOff = 1
        end
    end; else do
        call VROptions 'ImplicitNames'
    end
    InitArgs.0 = argCount
    if( argCount > 0 )then do i = 1 to argCount
        InitArgs.i = arg( i + argOff )
    end
    drop calledAs argCount argOff

/*  Load the windows
*/
    call VRInit
    parse source . . spec
    _VREPrimaryWindowPath = ,
        VRParseFileName( spec, "dpn" ) || ".VRW"
    _VREPrimaryWindow = ,
        VRLoad( parent, _VREPrimaryWindowPath )
    drop parent spec
    if( _VREPrimaryWindow == "" )then do
        call VRMessage "", "Cannot load window:" VRError(), ,
            "Error!"
        _VREReturnValue = 32000
        signal _VRELeaveMain
    end

/*  Process events
*/
    call Init
    signal on halt
    do while( \ VRGet( _VREPrimaryWindow, "Shutdown" ) )
        _VREEvent = VREvent()
        interpret _VREEvent
    end
_VREHalt:
    _VREReturnValue = Fini()
    call VRDestroy _VREPrimaryWindow
_VRELeaveMain:
    call VRFini
exit _VREReturnValue

VRLoadSecondary:
    __vrlsWait = abbrev( 'WAIT', translate(arg(2)), 1 )
    if __vrlsWait then do
        call VRFlush
    end
    __vrlsHWnd = VRLoad( VRWindow(), VRWindowPath(), arg(1) )
    if __vrlsHWnd = '' then signal __vrlsDone
    if __vrlsWait \= 1 then signal __vrlsDone
    call VRSet __vrlsHWnd, 'WindowMode', 'Modal' 
    __vrlsTmp = __vrlsWindows.0
    if( DataType(__vrlsTmp) \= 'NUM' ) then do
        __vrlsTmp = 1
    end
    else do
        __vrlsTmp = __vrlsTmp + 1
    end
    __vrlsWindows.__vrlsTmp = VRWindow( __vrlsHWnd )
    __vrlsWindows.0 = __vrlsTmp
    do while( VRIsValidObject( VRWindow() ) = 1 )
        __vrlsEvent = VREvent()
        interpret __vrlsEvent
    end
    __vrlsTmp = __vrlsWindows.0
    __vrlsWindows.0 = __vrlsTmp - 1
    call VRWindow __vrlsWindows.__vrlsTmp 
    __vrlsHWnd = ''
__vrlsDone:
return __vrlsHWnd

/*:VRX         __VXREXX____APPENDS__
*/
__VXREXX____APPENDS__:
/*
*/
return
/*:VRX         Fini
*/
Fini:
LIBO = VRGet( "EF_1", "Value")
JCLS = VRGet( "EF_2", "Value")
SOUS = VRGet( "EF_3", "Value")
JOBS = VRGet( "EF_4", "Value")
PWRO = VRGet( "EF_5", "Value")
LIB = VRGet( "EF_6", "Value")
SUB = VRGet( "EF_7", "Value")
PRTO = VRGet( "EF_8", "Value")

 initfile = 'C:\VSECOM\VSECOM.INI'
	x = LineOut(initfile,'DEFAULT_INIT',1)
        x = LineOut(initfile,LIBO) 
        x = LineOut(initfile,JCLS)
        x = LineOut(initfile,SOUS)
        x = LineOut(initfile,JOBS)
        x = LineOut(initfile,PWRO)
        x = LineOut(initfile,LIB)
        x = LineOut(initfile,SUB)
        x = LineOut(initfile,PRTO)
        x = LineOut(initfile)
        x = stream(initfile,'c','close')

retcode = LIBO","JCLS","JOBS","SOUS","PWRO","LIB","SUB","PRTO
    window = VRWindow()
    call VRSet window, "Visible", 0
    drop window
return retcode

/*:VRX         Halt
*/
Halt:
    signal _VREHalt
return

/*:VRX         Init
*/
Init:
ok = VRSet( "EF_1", "Value", InitArgs.1)
ok = VRSet( "EF_2", "Value", InitArgs.2)
ok = VRSet( "EF_3", "Value", InitArgs.3)
ok = VRSet( "EF_4", "Value", InitArgs.4)
ok = VRSet( "EF_5", "Value", InitArgs.5)
ok = VRSet( "EF_6", "Value", InitArgs.6)
ok = VRSet( "EF_7", "Value", InitArgs.7)
ok = VRSet( "EF_8", "Value", InitArgs.8)
    window = VRWindow()
    call VRMethod window, "CenterWindow","DESKTOP"
    call VRSet window, "Visible", 1
    call VRMethod window, "Activate"
    drop window
return

/*:VRX         LB_2_Click
*/
LB_2_Click:
LIBNAME = VRGet( "LB_2", "SelectedString")
return

/*:VRX         PB_11_Click
*/
PB_11_Click:
    ok = VRSet( "EF_9", "ReadOnly", 1)
    ok = VRSet( "EF_10", "ReadOnly", 1)
    ok = VRSet( "EF_11", "ReadOnly", 1)
    ok = VRSet( "EF_12", "ReadOnly", 1)
    ok = VRSet( "EF_13", "ReadOnly", 1)
    Okay = VRFileExists("C:\VSECOM\USERPROF")
    If Okay = 1 then do
       Okay = VRDeleteFile("C:\VSECOM\USERPROF")
    end
    RECCOM = "RECEIVE C:\vsecom\userprof "||TS||" (FILE=PROF"
    rc = Startvio(RECCOM)
    say rc
    if rc = "QUIT" then return
    Myfile = "C:\vsecom\userprof"
    LINEIN(Myfile,1,0)
    Do until LINES(Myfile) = "0"
    thisline = LINEIN(Myfile)
    fparm = LEFT(thisline,6)
    call xout
    end
    fparm = LINEOUT(Myfile) /* close the file */
    ok = VRSet( "EF_9", "ReadOnly", 1)
    ok = VRSet( "EF_10", "ReadOnly", 1)
    ok = VRSet( "EF_11", "ReadOnly", 1)
    ok = VRSet( "EF_12", "ReadOnly", 1)

   /*  E.EXE " C:\userprof" */
return
xout:
Select
    when fparm = "TRMID " then do
    fparm = SUBWORD(thisline,2,4)
    ok = VRSet( "EF_12", "Value", fparm)
    return
    end 
    when fparm = "UID   " then do
    fparm = SUBWORD(thisline,2,8)
    LUSER = fparm
    ok = VRSet( "EF_10", "Value", fparm)
    return
    end
    when fparm = "LIBACC" then do
    fparm = SUBWORD(thisline,1,6)
    position = VRMethod( "LB_1", "AddString",fparm, )
    return 
    end
    when fparm = "POWACC" then do
    fparm = SUBWORD(thisline,1,6)
    position = VRMethod( "LB_1", "AddString",fparm, )
    return
    end  
    when fparm = "POWALL" then do
    fparm = SUBWORD(thisline,1,6)
    position = VRMethod( "LB_1", "AddString",fparm, )
    return
    end
    when fparm = "SUBMIT" then do
    fparm = SUBWORD(thisline,1,6)
    position = VRMethod( "LB_1", "AddString",fparm, )
    return
    end
    when fparm = "SYSID " then do
    fparm = SUBWORD(thisline,2,8)
    ok = VRSet( "EF_13", "Value", fparm)
    return
    end
    when fparm = "UTYP  " then do
    fparm = SUBWORD(thisline,2,1)
    ok = VRSet( "EF_11", "Value", fparm)
    return
    end
    when fparm = "SCLASS" then do
    fparm = SUBWORD(thisline,2,1)
    ok = VRSet( "EF_14", "Value", fparm)
    return
    end
    when fparm = "VER" then do
    fparm = SUBWORD(thisline,2,10)
    ok = VRSet( "EF_9", "Value", fparm)
    return
    end
    when fparm = "LIB   " then do
    call getlibs
    return
    end
    when fparm = "HTF   " then do
    fparm = SUBWORD(thisline,1,6)
    position = VRMethod( "LB_1", "AddString",fparm, )
    return
    end
otherwise nop
return
getlibs:
startl = 10
fparm = SUBSTR(thisline,startl,7)
position = VRMethod( "LB_2", "AddString",fparm, )
    do until fparm = "       "
    startl = startl + 7
    fparm = SUBSTR(thisline,startl,7)
    if fparm = "       " then return
    position = VRMethod( "LB_2", "AddString",fparm, )
    end
return
/*:VRX         Quit
*/
Quit:
    window = VRWindow()
    call VRSet window, "Shutdown", 1
    drop window
return

/*:VRX         Startvio
*/
Startvio:procedure
parse arg command
erase "c:\vsecom\vsestat.fil"
"start /win/c c:\vsecom\runvse.cmd" command "<con >con"
/*"start /win/c c:\vsecom\runvse.cmd" command*/ 
SPINNUM = 0
RC = ""
DO FOREVER
    call SysSleep 2
    exists = VRFileExists("C:\vsecom\vsestat.fil")

    if exists = 1 then do
    LEAVE
    end
    else do
    SPINNUM = SPINNUM + 1
    end

    if SPINNUM = 5 then do
    SPINNUM = 0
    rc = Window8(VRWindow())
    end

    if rc = "QUIT" then do
    LEAVE
    end
end

return rc    
    



/*:VRX         Window7_Close
*/
Window7_Close:
    call Quit
return

